#ifndef POILAUMODULE_H
#define POILAUMODULE_H

#include <QObject>
#include "module.h"

class PoilAuModule : public QObject, public Module
{
    Q_OBJECT

    bool isReady;
    QString cursedNick;
public:
    PoilAuModule() : isReady(true), cursedNick("CaptainPlop") {}

    virtual bool messageHandler(Message msg);
    virtual QString getName();

public slots:
    void setReady();
    void setCursed(QString);
};

#endif // POILAUMODULE_H
